Tarantool development patches archive
 help / color / mirror / Atom feed
From: "Alexander V. Tikhonov" <avtikhon@tarantool.org>
To: Oleg Piskunov <o.piskunov@tarantool.org>,
	Sergey Bronnikov <sergeyb@tarantool.org>
Cc: tarantool-patches@dev.tarantool.org
Subject: [Tarantool-patches] [PATCH v1] Enable script for saving RPM packages in S3 for modules
Date: Wed,  6 May 2020 13:23:08 +0300	[thread overview]
Message-ID: <5fc7393fea2a31fbc970e2b1edec222f72d7de37.1588760517.git.avtikhon@tarantool.org> (raw)

From: "Alexander.V Tikhonov" <avtikhon@tarantool.org>

Found that modules may have only sources packages w/o binaries
packages. Script updated to be able to work with only binaries
either sources RPM packages. The same fix was already done for
DEB packages at commit 4527a4da9640a63601d0a1d0b2bee7f8cb4c0c85.

Part of #4839
---

Github: https://github.com/tarantool/tarantool/tree/avtikhon/gh-4839-s3-script-full-ci
Issue: https://github.com/tarantool/tarantool/issues/4839

 tools/update_repo.sh | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

diff --git a/tools/update_repo.sh b/tools/update_repo.sh
index 239f74a73..47eadd189 100755
--- a/tools/update_repo.sh
+++ b/tools/update_repo.sh
@@ -617,11 +617,8 @@ function pack_rpm {
     pack_patterns=$2
 
     pack_rpms=$(cd $repo && ls $pack_patterns 2>/dev/null || true)
-    if [ -z "$pack_rpms" ]; then
-        echo "ERROR: Current '$repo' path doesn't have '$pack_patterns' packages in path"
-        usage
-        exit 1
-    fi
+    [ -n "$pack_rpms" ] || return 0
+    packed_rpms=pack_rpms
 
     # copy the needed package binaries to the workspace
     ( cd $repo && cp $pack_rpms $ws/. )
@@ -952,7 +949,7 @@ elif [ "$os" == "el" -o "$os" == "fedora" ]; then
     fi
     # unlock the publishing
     $rm_file $ws_lockfile
-    popd
+    popd 2>/dev/null || true
 
     # prepare the workspace
     prepare_ws ${os}_${option_dist}
@@ -963,7 +960,13 @@ elif [ "$os" == "el" -o "$os" == "fedora" ]; then
     fi
     # unlock the publishing
     $rm_file $ws_lockfile
-    popd
+    popd 2>/dev/null || true
+
+    if [ -z "$packed_rpms" ]; then
+        echo "ERROR: Current '$repo' path doesn't have '*.x86_64.rpm *.noarch.rpm *.src.rpm' packages in path"
+        usage
+        exit 1
+    fi
 else
     echo "USAGE: given OS '$os' is not supported, use any single from the list: $alloss"
     usage
-- 
2.17.1

             reply	other threads:[~2020-05-06 10:23 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-05-06 10:23 Alexander V. Tikhonov [this message]
2020-05-15 16:13 ` Sergey Bronnikov
2020-05-15 17:05 ` Oleg Piskunov
2020-05-20  6:49 ` Kirill Yukhin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=5fc7393fea2a31fbc970e2b1edec222f72d7de37.1588760517.git.avtikhon@tarantool.org \
    --to=avtikhon@tarantool.org \
    --cc=o.piskunov@tarantool.org \
    --cc=sergeyb@tarantool.org \
    --cc=tarantool-patches@dev.tarantool.org \
    --subject='Re: [Tarantool-patches] [PATCH v1] Enable script for saving RPM packages in S3 for modules' \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox